import { DataType, NormalizedDataType } from "../types/vertex-formats.js";
export type DecodedVertexType = {
    /** WebGPU data type */
    dataType: DataType;
    /** Length in bytes of the data for one vertex */
    byteLength: number;
    /** Whether this is for integer or float vert */
    integer: boolean;
    /** Whether this data type is signed */
    signed: boolean;
    /** Whether this is a normalized integer (that must be used as float) */
    normalized: boolean;
};
/** Decodes a vertex type, returning byte length and flags (integer, signed, normalized) */
export declare function decodeVertexType(type: NormalizedDataType): DecodedVertexType;
//# sourceMappingURL=decode-data-type.d.ts.map