import { ShaderPass } from "../../../lib/shader-module/shader-pass.js";
/**
 * Magnify - display a circle with magnify effect applied to surrounding the pixels given position
 */
export type MagnifyProps = {
    /** x, y position in screen coords, both x and y is normalized and in range `[0, 1]`. `[0, 0]` is the up left corner, `[1, 1]` is the bottom right corner. Default value is `[0, 0]`. */
    screenXY?: [number, number];
    /** effect radius in pixels. Default value is `100`. */
    radiusPixels?: number;
    /** magnify level. Default value is `2`. */
    zoom?: number;
    /** border width of the effect circle, will not show border if value <= 0.0. Default value is `0`. */
    borderWidthPixels?: number;
    /** border color of the effect circle. Default value is `[255, 255, 255, 255]`. */
    borderColor?: [number, number, number, number];
};
/**
 * Magnify - display a circle with magnify effect applied to surrounding the pixels given position
 */
export declare const magnify: ShaderPass<MagnifyProps, MagnifyProps>;
//# sourceMappingURL=magnify.d.ts.map